use clap::Parser;
use rand::rngs::SmallRng;
use ray_tracing_pbrt_scene::parse_pbrt_v4;
use std::path::PathBuf;

#[derive(Parser)]
struct Args {
    filename: PathBuf,
}

fn main() -> Result<(), miette::Error> {
    let args = Args::parse();

    let _t = parse_pbrt_v4::<SmallRng>(args.filename)?;

    // dbg!(t);

    Ok(())
}
